---
search:
  tags:
    - Runner
    - GET
seo:
  description: >-
    Read the runner's connectivity and backlog. Reference for the GET
    /api/admin/runner endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Read the runner's connectivity and backlog
  badge: GET
title: Read the runner's connectivity and backlog
type: openapi-operation
---
`GET /api/admin/runner`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": 0,
  "connected": true,
  "runtimeReady": true,
  "runnerVersion": "string",
  "backlog": 0,
  "checkerSourcePool": 0,
  "lastHeartbeatAt": "2019-08-24T14:15:22Z",
  "lastResultAt": "2019-08-24T14:15:22Z",
  "terminalError": "string",
  "restartOperationId": "string",
  "restartStatus": "failed",
  "restartRequestedAt": "2019-08-24T14:15:22Z",
  "restartRequestedBy": "string",
  "restartMessage": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
